/* Login Screen */
div.page-header.login-page{
  justify-content: center;
  align-items: center;

  background: radial-gradient(ellipse at top, #007dc6, #444),
  radial-gradient(ellipse at bottom, #007dc6, transparent)!important;
}

div.page-header.login-page .card .card-header .card-title{
  font-weight: bold;
}

div.page-header.login-page .form-check-sign{
  padding-left: 7px;
}
div.page-header.login-page .form-check .form-check-label {
  cursor: pointer;
  padding-left: 40px;
}
.card.bg-primary, .card .card-header-primary .card-icon, .card .card-header-primary .card-text, .card .card-header-primary:not(.card-header-icon):not(.card-header-text), .card.card-rotate.bg-primary .back, .card.card-rotate.bg-primary .front
{
  background: linear-gradient(
          60deg,#007dc6,#209de6);
}

.card .card-header-primary .card-icon, .card .card-header-primary .card-text, .card .card-header-primary:not(.card-header-icon):not(.card-header-text)
{
  box-shadow: 0 4px 20px 0 rgba(0, 125, 198, .14), 0 7px 10px -5px rgba(17, 41, 60, .3);
}

.form-control, .is-focused .form-control {
  background-image: linear-gradient( 0deg ,#007dc6 2px,rgba(156,39,176,0) 0),
  linear-gradient( 0deg  ,#d2d2d2 1px,hsla(0,0%,82%,0) 0);
}

.form-check .form-check-input:checked~.form-check-sign .check {
  background: #007dc6;
}

.sidebar .sidebar-wrapper .user .user-info [data-toggle=collapse]~div>ul>li>a i,
.sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a i {
  font-size: 24px;
  line-height: 24px;
}

nav.sidebar .nav li > a {
  margin-left: 15px !important;
}

ul.nav li a label{
  margin-bottom: 0px;
}

.sidebar .nav p{
  margin-top: 2px;
}

ul.nav div.collapse,
ul.nav div.collapsing{
  margin-top:-10px;
}

.sidebar-mini .nav:not(:first-child) li {
  margin-left: 0px !important;
}

.sidebar .nav li .dropdown-menu a, .sidebar .nav li a{
  padding:10px 12px;
}

div.sidebar-wrapper{
  overflow-x: hidden;
}

.sidebar a{
  cursor:pointer;
}




/*------------------*/

html.js .content>.alert{
  display:none;
}

html.js .wrapper-full-page>.alert{
  display:none;
}

html:not(.js) .jsonly {
  display: none;
}

div[data-notify="container"].alert{
  margin-top:40px!important;
}

/* Icon-Buttons innerhalb von Formularen */
.btn-inline-form-icon {
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 10px;
}

/* Schrift auf Buttons fetter - besser lesbar */
.btn {
  font-weight: 600;
}



h1, .h1 {
  font-size: 3.3125rem;
  line-height: 1.15em;
}

h2, .h2 {
  font-size: 2.25rem;
}

h3, .h3 {
  font-size: 1.5625rem;
  line-height: 1.4em;
  margin: 20px 0 10px;
}

.card-title{
  font-size: 1.5625rem;
  line-height: 1.4em;
  margin: 20px 0 10px;
  display:block;
}

/* User-Bilder in Tabellen korrekt anzeigen */
.material-datatables td.img,
.table-responsive td.img {
  width: 40px;
}
.material-datatables td .img,
.table-responsive td .img {
  width: 40px;
  height: 40px;
  margin: 0 10px;
  border-radius: 50%;
  background-size: cover;
  background-position: center top;
}

.dtr-data {
  word-break:break-all;
}


/* Ausrichtung von Checkboxen inkl. Label */
.form-check .form-check-label {
  padding-left: 47px;
}

.form-check .form-check-sign {
  padding: 0px 15px 0px 5px
}

.form-check .form-check-sign:before{
  left:4px;
  top:-1px;
}

.dashboard .card .card-footer .stats {
  align-items: center;
  flex-grow: 1;
  justify-content: space-between;
}

/* größere Darstellung der Sidebar Icons */
.sidebar .sidebar-wrapper > .nav [data-toggle="collapse"] ~ div > ul > li > a i, .sidebar .sidebar-wrapper .user .user-info [data-toggle="collapse"] ~ div > ul > li > a i {
  font-size: 25px;
}

/* Sidebar Titel nicht kapitalisieren */
.sidebar .nav li a {
  text-transform: none;
}


/* Benutzerprofilbild */
.sidebar .user .photo {
  background-size: cover;
  margin-left: 0;
}

/* Navigations-Buttons näher zusammen */
.off-canvas-sidebar .navbar .navbar-collapse .navbar-nav .nav-item .nav-link {
  margin: 0 2px;
}

/* Breite des Häkchens in Taskliste */
td.notificationCheck {
  width: 30px;
}


/* Toggle-Checkboxen */
.togglebutton label input[type=checkbox]:checked+.toggle:after {
  left: 18px;
}

.togglebutton label .toggle, .togglebutton label input[type=checkbox][disabled]+.toggle {
  width: 40px;
  height: 24px;
}

.togglebutton label .toggle:after {
  left:2px;
  top:2px;
}

.togglebutton label {
  margin-top: 6px;
  margin-bottom: 0;
}

.form-group .togglebutton {
  padding-top: 2px;
}


.calendarSwitcher .row {
  align-items: center;
  margin-bottom: 10px;
}


/* Das sind _eigentlich_ Farbdefinitionen, die sich allerdings auf eigene Elemente beziehen */
span.plusOvertime {
  color: #00e869;
}

span.minusOvertime {
  color: #FF3308;
}

.card [class*="card-header-"] .card-title+.card-category {
  color: #737373;
}

/* Styling für Buchungsübersicht */
.bookings .overview-header{
  background-color:#381d05;
  color:#ffffff;
  padding:20px 0px;
  margin:5px 0px;

  overflow: hidden;
}

.bookings .overview-detail .row {
  padding:20px 0px;
  border:1px solid #444444;
  margin:10px 0px;
  background-color:#ffffff;
}


.day-piecerate-set .overview-header{
  background-color:#444444;
  color:#ffffff;
  padding:20px 0px;
  margin:5px 0px;
}

.day-piecerate-set .overview-detail .row {
  padding:20px 0px;
  border:1px solid #444444;
  margin:10px 0px;
  background-color:#ffffff;
}


.va-middle{
  display: flex;
  align-items: center;
  justify-content: center;
}


.entries-for-day{
  display:flex;
  flex-direction:column;
}

.booking-vacation .overview-header,
.booking-halfvacation .overview-header,
.booking-specialvacation .overview-header,
.booking-ill .overview-header,
.booking-holiday .overview-header{
  opacity: .8;
}

.booking-date{
  margin:10px;
  font-weight: 600;
}

.edit-slide-row {
  overflow: hidden;
}

.edit-slide {
  padding-left: 10px;
  padding-right: 5px;
  transition: .4s cubic-bezier(0, 1, 0.5, 1);
  transform: translateY(0);
}

.edit-slide-up {
  transform: translateY(-100%);
}

.bookings .collapsed, [collapsed="true"],
.calendar .collapsed, [collapsed="true"] {
  display: none;
}

.remove-worktime{
  cursor: pointer;
}

.booking-deleted{
  background:#a0a0a0;
  opacity:0.37;
}

.no-bookings-info{
  margin-top:2em;
}

.add-worktime{
  margin-right:15px;
}



@media screen and (max-width:565px)
{
  .booking-date{
    font-size:0.8em;
  }
  .pausetime-label{

    font-size:0.7em;
  }
  .worktime-label{

    font-size:0.7em;
  }
  .fa-2x{
    font-size:1.2em;

  }
  .add-worktime{
    margin-right:3%;
  }
}

.bookings .row {
  align-items: center;
}

.bookings h6 {
  margin: 10px;
}

.worktime-label, .pausetime-label, .overtime-label {
  font-weight: 400;
}

.btn-just-icon.add-worktime > i.material-icons, .btn-just-icon.edit-worktime > i.material-icons, .btn-just-icon.save-worktime > i.material-icons  {
  font-size: larger;
}



/* Calendar */
.piecerate-sum{
  font-weight:700;
  font-size:1.3em;
}

.info-ribbon{
  width: 100px;
  position: absolute;
  top: -35px;
  left: -22px;
  text-align: center;
  line-height: 65px;
  height: 50px;
  letter-spacing: 1px;
  color: #f0f0f0;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}

.info-ribbon-in-list {
  top: -39px;
  left: -44px;
}

.info-ribbon-in-calendar{
  top: -12px;
  left: -37px;
}

div.entries-for-day .info-ribbon {
  top: -46px;
  left: -24px;
  height: 40px;
}


.booking-ill .info-ribbon, .calendar-ill{
  background: #e43;
}
.booking-vacation .info-ribbon, .calendar-vacation{
  background: #6c96c1;
}
.booking-halfvacation .info-ribbon, .calendar-halfvacation{
  background: #c4c737;
}
.booking-specialvacation .info-ribbon, .calendar-specialvacation{
  background: #ec9309;
}
.booking-holiday .info-ribbon, .calendar-holiday{
  background: #679b63;
}

.controlling-ill{
  background: rgba(238, 68, 51, 0.73);
}
.controlling-vacation{
  background: rgba(108, 150, 193, 0.62);
}
.controlling-specialvacation{
  background: rgba(236, 147, 9, 1);
}
.controlling-halfvacation{
  background: rgba(196, 199, 55, 1);
}
.controlling-holiday{
  background: rgba(103, 155, 99, 0.63);
}

.info-ribbon .fas,
.info-ribbon .fal {

  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}



/* Ajax-Loader */
#ajax-loading{
  display:none;
  position:fixed;
  top:0px;
  left:0px;
  width:100%;
  height:100%;
  z-index:1060;
}

#ajax-loading-inner{
  position:fixed;
  top:0px;
  left:0px;
  width:100%;
  height:100%;
  background-color:rgba(0,0,0,0.2);

  align-items: center;
  justify-content: center;
  display: flex;
}

#ajax-loading .spinner-grow {
  display: inline-block;
  width: 10vw;
  height: 10vw;
  vertical-align: text-bottom;
  background-color: #00b3a2;
  border-radius: 50%;
  opacity: 0;
  -webkit-animation: spinner-grow .75s linear infinite;
  animation: spinner-grow .75s linear infinite;
}


@keyframes spinner-grow {
  0% {
    transform: scale(0);
  }
  50% {
    opacity: 1;
  }
}

/* In Formularen ist der Marginwert nach oben für Selectboxen zu hoch */
.card .card-body .form-group.has-selectpicker {
  margin-top: 1px;
}


#newRoles .bootstrap-select {
  width: 100%;
}

.login-page .card-login .card-body .input-group .form-control{
  padding:7px;
}

.navbar-minimize{
  cursor:pointer;
}

.navbar .collapse .navbar-nav .nav-item .nav-link .material-icons, .navbar .collapse .navbar-nav .nav-item .nav-link .fa {
  font-size: 1.5rem;
}

.btn.btn-fab .material-icons, .btn.btn-fab .fa, .btn.btn-just-icon .material-icons, .btn.btn-just-icon .fa {
  font-size: 24px;
}

.bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
  /*width: 100%;*/
  margin:0px 5px;
}

/* Card-Layout außerhalb */
.card-outside .text-divider {
  margin-top: 30px;
  margin-bottom: 0px;
  text-align: center;
}

.card-outside .card-body {
  padding: 0px 30px 0px 10px;
}

.card-outside {
  border-radius: 6px;
  box-shadow: 0 16px 24px 2px rgba(0,0,0,.14), 0 6px 30px 5px rgba(0,0,0,.12), 0 8px 10px -5px rgba(0,0,0,.2);
  margin-bottom: 100px;
  padding: 40px 0;
  margin-top: 15vh;
}


.card-outside .card-body {
  padding: 0px 30px 0px 10px;
}

.swal2-popup #swal2-content ul {
  text-align: left;
  font-size: 16px;
}

/* Textarea-Styling für Forms */
textarea.form-control {
  border: 1px solid #d2d2d2;
  border-bottom: 0;
  padding: 3px;
}

.sidebar .switcher {
  padding-top: 10px;
  border-top: 1px solid rgba(180, 180, 180, 0.5);
}


i.material-icons{
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently supported by Chrome and Opera */
}

.form-control{
  padding-left:10px;
  padding-right:10px;
}

.main-panel > .content {
  margin-top: 20px;
  padding-left:0px;
  padding-right:0px;
}

@media screen and (min-width:768px)
{
  .main-panel > .content {
    margin-top: 70px;
    padding-left: 15px;
    padding-right: 15px;
  }
}

.btn.btn-round-icon{
  width:50px;
  height:50px;
  padding:0px;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  line-height:50px;
}

.btn.btn-round-icon .material-icons i{
  font-size: 32px;
}

ul.errorMessages{
  list-style:none;
}

ul.errorMessages li{
  border: 2px solid #f27474;
  color:#f27474;
  border-radius: 10px;
  padding: 5px 10px;
  margin: 5px 0px;
  text-align: center;
}

i.icon-required{
  position: absolute;
  margin-top: 3px;
  margin-left: 5px;
  color:#00c6b3;
  font-size:18px;
}

@media screen and (min-width:768px)
{
  i.icon-required {
    right:0px;
  }
}

.card .card-body .col-form-label{
  text-align:left;
  hyphens: auto;
}

@media (max-width: 991px)
{
  .card .card-body .col-form-label, .card .card-body .label-on-right {
    padding-top: 17px;
  }
}

.card .card-header .card-category,
p.card-category{
  margin-top:25px;
}

.hint {
  font-size: 100%;
  font-weight: 200;
  color:#AAAAAA;
}
.hint i{
  font-size: 13px;
  position: relative;
  margin-right: 5px;
  top: 2px;
}

/*
@media screen and (max-width:768px) {

    .wizard-navigation ul.nav-pills li.nav-item {
        width:100%;
    }

    .wizard-navigation div.moving-tab {
        padding: 21px;
        font-size: 14px;
    }

    #wizardProfile > div.wizard-navigation .nav.nav-pills .nav-item {
        padding: 15px;
    }

    #wizardProfile > div.wizard-navigation .nav.nav-pills .nav-item .nav-link {
        font-size: 14px;
    }
}*/

.card-wizard .wizard-navigation .nav-pills > li span i
{
  display:inline-block;
  font-size: 24px;
  padding-bottom: 4px;
  padding-right: 10px;
  padding-top: 1px;
}


.card-wizard .wizard-navigation .moving-tab span.textTest {
  display: inline-block;
  line-height: 24px;
  padding-top: 1px;
  padding-left: 10px;
}


.moving-tab {
  display:flex;
  opacity:1;
  align-items: end;
  justify-content: center;
}

.card-wizard .tab-content {
  padding: 20px 0px;
}

@media screen and (max-width:767px) {
  .card-wizard .wizard-navigation .nav-pills {
    padding-left:0;
    padding-right:0;
  }

}

@media screen and (max-width:666px) {
  .moving-tab:after{
    position: absolute;
    width: 12px;
    height: 12px;
    top: 100%;
    left: 50%;
    margin-left: -6px;
    content: '';
    transform: rotate(45deg);
    margin-top: -6px;
    background: #ff8116;
  }
}


/* Anpassungen Wizard Non-JS */
html:not(.js) div.wizard-navigation ul.nav {
  justify-content: space-evenly;
}

html:not(.js) div.wizard-navigation ul.nav li.nav-item.active {
  border-radius: 4px;
  cursor: pointer;
  background-color: #ff8215;
  box-shadow: 0 4px 20px 1px rgba(255, 130, 21, 0.32), 0 7px 10px -5px rgba(255, 130, 21, 0.12);
}

html:not(.js) div.wizard-navigation ul.nav li.nav-item.active a.nav-link {
  color: #fff !important;

}

html:not(.js) div.wizard-navigation .jsonly {
  display: none;
}

html:not(.js) div.wizard-container .jsonly {
  display: none;
}
html.js div.wizard-navigation .jsonly {
  display: block;
}

html:not(.js) div.has-selectpicker.jsonly {
  display: none;
}
html.js div.has-selectpicker.jsonly {
  display: block;
}

html:not(.js) .wizardContent .col-form-label {
  padding-top: 7px;
}


/* No-JS Select Boxen */
.select.nojs {
  position: relative;
  display: inline-block;
  width: 300px;
  margin-bottom: 20px;
}
.select.nojs select {
  display: inline-block;
  text-transform: uppercase;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  padding: 5px 5px;
  border: 0;
  border-radius: 0;
  border-bottom: 1px solid #000;
  background: #fff;
  width: 100%;
  color: #3c4858;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}
.select.nojs select::-ms-expand {
  display: none;
}
.select.nojs select:hover,
.select.nojs select:focus {
  border-bottom: 2px solid #ff8215;
}
.select.nojs select:disabled {
  opacity: 0.5;
  pointer-events: none;
}
.select.nojs .select_arrow {
  position: absolute;
  top: 10px;
  right: 15px;
  border-width: 0 3px 3px 0;
  display: inline-block;
  padding: 3px;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
}
.select.nojs select:hover ~ .select_arrow,
.select.nojs select:focus ~ .select_arrow {
  border-color: #ff8215;
}
.select.nojs select:disabled ~ .select_arrow {
  border-top-color: #cccccc;
}




html:not(.js) div.wizard-container .uploadImage {
}

html:not(.js) div.wizard-container .uploadImage span {
  font-size: larger;
  font-weight: bold;
}

html:not(.js) div.wizard-container .uploadImage input {
  margin-top: 10px;
}

html:not(.js) div.wizard-container .removeExistingCheckbox label {
  font-weight: bold;
  padding-left: 5px;
  padding-top: 15px;
}

html:not(.js) div.wizard-container .existingImage {
  z-index: 2;
}

html:not(.js) .existingImage .img {
  background-size: cover;
  background-position: center top;
  border-radius: 20px;
  width: 200px;
  height: 200px;
}

.sidebar .nav p{
  letter-spacing: 1px;
}

span.hint{
  display:block;
  width:100%;
  margin-top: 5px;
  line-height: 20px;
}

span.hint a {
  margin-left: 5px;
  line-height: 150%;
}

span.hint a i{
  font-size: 15px;
  top:-2px;
}

.form-group span.help-block {
  display:block!important;
  position:absolute!important;
  margin-top:0px;
  margin-bottom:0px;
  width:100%;
  color:#00c6b3;
  font-weight: 100;
  line-height: 150%;
}

.form-group span.help-block
{
  min-height:22px;
  display:block;
  position:relative;
  margin-bottom:0px;
  margin-top: -8px;
  width:100%;
}

.form-group span.help-block:empty{
  display:none;
}

.form-group span.help-block:not(:empty):before {
  content:"keyboard";
  direction: ltr;
  display: inline-block;
  font-family: 'Material Icons';
  font-size: 13px;
  font-style: normal;
  font-weight: normal;
  letter-spacing: normal;
  line-height: 1;
  text-transform: none;
  white-space: nowrap;
  word-wrap: normal;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
  vertical-align:middle;
  margin-top: -3px;
  margin-right:5px;
}

.form-group.align-field-baseline {
  align-items: baseline;
}

@media screen and (max-width:575px) {
  .card .card-body {
    padding: 5px 10px;
  }
}

/* NoJs-Darstellung des Hauptmenüs */

html:not(.js) ul.nav input[type=checkbox]:checked~div.collapse{
  display:block;
}

html:not(.js) ul.nav input[type=checkbox]:not(:checked)~div.collapse{
  display:none;
}

html:not(.js) div.card-collapse input[type=checkbox]:checked~div.collapse{
  display:block;
}

html:not(.js) div.card-collapse input[type=checkbox]:not(:checked)~div.collapse{
  display:none;
}


label.accordion {
  margin-bottom: 0px;
  width: 100%;
}

ul.nav label{
  cursor:pointer;
}

ul.nav label.no-origin-styles,
div.card-collapse label.no-origin-styles
{
  font-size:inherit;
  line-height:inherit;
  color:inherit;
  font-weight:inherit;
  display:inherit;
  margin-bottom:inherit;
}

.sidebar .nav li a.nav-link{
  padding:0px;
}

ul.nav label.no-origin-styles,
.sidebar .nav li ul li a.nav-link,
.sidebar .nav li a.nav-link.linkpad,
.sidebar .user-info .nav li a.nav-link{
  padding: 8px 10px;
}

ul.nav .no-js-menu-controller,
.no-js-menu-controller
{
  display:none;
}


html:not(.js) ul.nav input[type=checkbox]:checked~a.nav-link .caret,
html:not(.js) div.card-collapse input[type=checkbox]:checked~div.card-header i
{
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=2);
  -webkit-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  transform: rotate(180deg);
}

html:not(.js) ul.nav input[type=checkbox]:not(:checked)~a.nav-link .caret,
html:not(.js) div.card-collapse input[type=checkbox]~div.card-header i
{
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=0);
  -webkit-transform: rotate(0deg);
  -ms-transform: rotate(0deg);
  transform: rotate(0deg);
}


label,
.hint,
.card .card-category:not([class*="text-"]),
.title, .title a, .card-title, .card-title a, .info-title, .info-title a, .footer-brand, .footer-brand a, .footer-big h5, .footer-big h5 a, .footer-big h4, .footer-big h4 a, .media .media-heading, .media .media-heading a{
  color:#777777;
}

.text-muted, .bmd-help{
  color:#aaaaaa!important;
}

@media screen and (max-width:768px) {
  .card-header.card-header-icon .card-icon ~ .row {
    margin-top: 60px;
  }
}

.sidebar .user .photo {
  width: 50px;
  height: 50px;
  border:2px solid #ffffff;
}

.sidebar-background:after {
  background: #0a2433;
  opacity: .8;
}

.sidebar[data-color="primary"] li.active > a {
  background-color: #ffffff3b!important;
  box-shadow: 0 4px 20px 0px rgba(0, 0, 0, 0.14), 0 7px 10px -5px rgba(50, 50, 50, 0.4)!important;
}

.nav.user .username-label
{
  padding:10px 0px;
}

.sidebar .nav.user .caret {
  margin-top: -4px;
  right: 16px;
}

.sidebar .nav.user > li:hover > a,
.sidebar .nav.user > li .dropdown-menu a:hover,
.sidebar .nav.user >  li .dropdown-menu a:focus,
.sidebar .nav.user >  li.active > [data-toggle="collapse"]{
  background-color:inherit!important;
}

.sidebar .user {
  padding-bottom: 10px;
  padding-top: 10px;
  margin: 0px auto 0;
}

.sidebar .logo .simple-text {
  text-transform: inherit;
}

.wrapper .content{
  max-width: 1400px;
  margin-left: auto;
  margin-right: auto;
  overflow:hidden;
}

@media (min-width: 320px) and (max-width: 567px) {
  .container {
    max-width: 500px;
  }
}

.sidebar .logo a.logo-mini {
  width: 34px;
}

.btn-just-icon{
  border-radius:50%;
}

.btn-just-icon:hover{
  background-color:#ffffff77!important;
  box-shadow: 0 10px 6px -12px rgba(50, 50, 50, 0.42),
  0 4px 23px 0px rgba(0, 0, 0, 0.12),
  0 8px 10px -5px rgba(80, 80, 80, 0.2);
}

.btn.btn-just-icon {
  height: 35px;
  min-width: 35px;
  width: 35px;
  line-height: 35px;
}

.btn.btn-just-icon .material-icons {
  line-height: 35px;
}


/* Datatables */
.dataTables_filter label {
  font-size: 1.063rem;
  font-weight: 300;
  color: #333333;
  width: 100%;
  text-align: right;
}

div.dataTables_wrapper div.dataTables_filter input{
  width:100%;
  text-align: right;
}

.form-control:-ms-input-placeholder{color: #cdcdcd}
.form-control::-ms-input-placeholder{color: #cdcdcd}
.form-control::placeholder{color:#cdcdcd;}

span.readonly{
  background-color: #ffffff;
  box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.14);
  padding: 5px 20px;
  border-radius: 20px;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Opera and Firefox */
}


table.dataTable thead > tr > th.sorting_asc,
table.dataTable thead > tr > th.sorting_desc,
table.dataTable thead > tr > th.sorting,
table.dataTable thead > tr > td.sorting_asc,
table.dataTable thead > tr > td.sorting_desc,
table.dataTable thead > tr > td.sorting {
  padding-right: 30px!important;
}

.dataTables_paginate #datatables_ellipsis a{
  min-width:auto;
}

/* User- und Employeebilder Start */

div.smartpic{
  width:40px;
  height:40px;
  background-size:cover;
  background-position:center;
  border-radius:50%;
  border:2px solid #ffffff;
  display:inline-block;
  position: relative;
  margin-right: -10px;
  margin-top:5px;
  -webkit-transition-duration: .4s;
  -moz-transition-duration: .4s;
  -ms-transition-duration: .4s;
  -o-transition-duration: .4s;
  transition-duration: .4s;

  top: 0;
}

div.smartpic:hover {
  z-index:9;
  top: -5px;
  border-color:#9e7ad4;
}
div.smartpic:hover:after {
  content:"";
  position:absolute;
  bottom:-7px;
  left:0px;
  height:20px;
  width:100%;
}
/* User- und Employeebilder Ende */

noscript{width: 100%;}

/* Timeline Start */

ul.timeline  span.badge
{
  padding: 10px 20px;
  padding-left: 35px;
  position: relative;
}
ul.timeline  span.badge i
{
  font-size: 23px;
  position: absolute;
  left: 6px;
  top: 6px;
}

/* iTable Start */

.itable .row>div {
  padding:5px 10px;
  align-self: center;
}

.itable .daysummary.even{
  background-color:#fcfcfc;
}

.itable .daysummary.odd{
  background-color:#f8f8f8;
}
.itable div:not(.daysummary) .row{
  border-bottom:1px solid #f0f0f0;
}

.itable .row.daysummary{
  border-top: 1px solid #777777;
  font-weight:400;
}

.itable>.row:last-child{
  border-bottom: 1px solid #777777;
}

.itable .day-title{
  padding-left:40px;
}
.itable .day-date{
  display: block;
  padding-left:40px;
}

.itable i[data-toggle="collapse"]
{
  cursor:pointer;
  font-size: 20px;
}

.itable div[data-th]:before {
  content: attr(data-th);
  font-weight: bold;
  display: inline-block;
  width: 100px;
  margin-right:30px;
}

@media screen and (max-width:666px) {
  .itable div[data-th] {
    text-align: left !important;
  }

  .itable .head{
    display:none;
  }

  .itable .day-title,
  .itable .day-date{
    padding-left:0px;
  }

  .itable .day-date{
    display: inline;
    margin-left: 20px;
  }

  .itable i[data-toggle=collapse]
  {
    right:20px;
  }

  .resp-p-reset{
    padding: 5px 10px!important;
  }
}

@media screen and (min-width:667px){
  .itable div[data-th]:before {
    display:none;
  }
}

/* iTable Ende */

/* Sprachswitcher */

@media screen and (min-width:992px) {
  .langSwitch {
    bottom: 0;
    left: 0;
    width: 99%;
  }
}

.langFlag, .langLabel {
  display: inline-block;
  margin: 0 2px;
  line-height: 1em;
}

.langFlag {
  margin-right: 5px;
}


.flag-icon-deFormal {
  background-image: url(/images/vendor/flag-icon-css/flags/4x3/de.svg?52f420da94ae60f6dcf173d224e365d8);
}

.flag-icon-en {
  background-image: url(/images/vendor/flag-icon-css/flags/4x3/gb.svg?b9c954a867bfad1f950281bb7485ddb6);
}

/* Sprachswitcher Ende */

/* Roleswitcher Start*/
#roleSwitch p {
  font-size: 12px;
}

#roleSwitch .roleTitle {
  font-weight: bolder;
}

#roleSwitch li.role .nav-link {
  display:flex;
  align-items: center;
  justify-content: space-between;
}

#roleSwitch li.role .sidebar-mini {
  width: 17px;
  margin-right: 5px;
}

#roleSwitch li.role .sidebar-mini i {
  font-size:16px;
  margin-right: 0;
  width: inherit;
}

/* Roleswitcher Ende*/

.form-check.with-checkbox{
  margin:25px 0px;
}

.suggest-spinner{
  position: absolute;
  right: 0px;
  top: 10px;
  width: 20px;
  height: 20px;
  opacity: 0;
  transition-duration: .4s;
  transition-delay: .4s;
}

.suggest-spinner.show{
  opacity: 1;
}

[data-suggest-dropdown]{
  width:100%;
}

[data-suggest-dropdown] .dropdown-item:after {
  content: "+";
  display: inline-block;
  position: absolute;
  right: 10px;
  transition-duration: .4s;
  opacity: 0;
  color:#ffffff;
}
[data-suggest-dropdown] .dropdown-item:hover:after{
  opacity: 1;
}

[data-suggest-dropdown] .dropdown-item{
  cursor:pointer;
}

.list-changes{
  padding:20px;
}

.list-changes:not(:empty):before{
  content:attr(data-title);
  font-size: 1.5625rem;
  line-height: 1.4em;
  margin: 20px 0 10px;
  display: block;
}

.list-changes{
  display: flex;
  flex-direction: column;
  width:100%;
}

.list-changes div.img{
  width: 40px;
  height: 40px;
  margin: 0 10px;
  border-radius: 50%;
  background-size: cover;
  background-position: center top;
}

.list-changes .list-item{
  display: flex;
  flex-direction: row;
  align-items: center;
  padding:5px 10px;
  border-top: 1px solid rgba(0, 0, 0, 0.06);
  align-items:stretch;
}

.list-changes .list-item>div{
  display: flex;
  align-items: center;
}

.list-changes .list-item>div:nth-child(1) {
  width:150px;
}

.list-changes .list-item>div:nth-child(2){
  width:100%;
}

.list-changes .list-item>div:nth-child(3) {
  width:142px;
}

.list-changes .list-item:nth-of-type(odd) {
  background-color: #f9f9f9;
}

.dataTable > tbody > tr > td.dataTables_empty{
  color: #856404;
  background-color: #fff3cd;
  border-color: #ffeeba;
  padding: 40px!important;
}



.top-summary{
  position: absolute;
  top: 15px;
  right: 15px;
}

.itable .row.daysummary {
  min-height: 60px;
  background-color: #f9f9f9;
  border: none !important;
  border-radius: 10px;
  margin: 10px -15px;
}

.itable .row.daysummary[data-day-init='1'] .spinner-border {
  margin: 0px auto;
  color: #e0e0e0;
}


.itable div[data-area="day-details-container"]{
  background-color: #f9f9f9;
  margin: 0px -15px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-radius: 10px;
  overflow: hidden;
  padding: 0px 15px;
}

.itable div[data-area=day-details-container]:before{
  background-color: #f9f9f9;
  width: calc(100% - 60px);
  height: 10px;
  content: "";
  position: absolute;
  margin-left: -5px;
  margin-top: -10px;
  z-index: 0;
  opacity: 0;
  transition-duration: .4s;
  border-top:1px solid #f0f0f0;
  border-bottom:1px solid #f0f0f0;
}
.itable div[data-area=day-details-container].collapse.show:before{
  opacity: 1;
}

.modal-footer .btn{
  width:35%;
}

.modal-footer .btn.btn-left{
  left: 20px;
  position:absolute;
}

[data-booking-overview=work]:not(:empty):before,
[data-booking-overview=break]:not(:empty):before{
  content: attr(data-title);
}

.listImage {
  height: 50px;
  width: 50px;
  border-radius: 100%;
  background-size: contain;
  margin: 0 auto;
}